SAM3S8/SD8 Software Package: USBDDriverDescriptors Struct Reference

SAM3S8/SD8 Software Package 1.2
Data Fields

# USBDDriverDescriptors Struct Reference
[USB Device Driver Interface]

## Data Fields

const USBDeviceDescriptor * | pFsDevice
const USBConfigurationDescriptor * | pFsConfiguration
const USBDeviceQualifierDescriptor * | pFsQualifier
const USBConfigurationDescriptor * | pFsOtherSpeed
const USBDeviceDescriptor * | pHsDevice
const USBConfigurationDescriptor * | pHsConfiguration
const USBDeviceQualifierDescriptor * | pHsQualifier
const USBConfigurationDescriptor * | pHsOtherSpeed
const uint8_t ** | pStrings
uint8_t | numStrings

## Detailed Description

Definition at line 79 of file USBDDriver.h.

## Field Documentation

uint8_t USBDDriverDescriptors::numStrings

Number of string descriptors in list

Definition at line 100 of file USBDDriver.h.

const USBConfigurationDescriptor* USBDDriverDescriptors::pFsConfiguration

Pointer to the full-speed configuration descriptor

Definition at line 84 of file USBDDriver.h.

const USBDeviceDescriptor* USBDDriverDescriptors::pFsDevice

Pointer to the full-speed device descriptor

Definition at line 82 of file USBDDriver.h.

const USBConfigurationDescriptor* USBDDriverDescriptors::pFsOtherSpeed

Pointer to the full-speed other speed configuration descriptor

Definition at line 88 of file USBDDriver.h.

const USBDeviceQualifierDescriptor* USBDDriverDescriptors::pFsQualifier

Pointer to the full-speed qualifier descriptor

Definition at line 86 of file USBDDriver.h.

const USBConfigurationDescriptor* USBDDriverDescriptors::pHsConfiguration

Pointer to the high-speed configuration descriptor

Definition at line 92 of file USBDDriver.h.

const USBDeviceDescriptor* USBDDriverDescriptors::pHsDevice

Pointer to the high-speed device descriptor

Definition at line 90 of file USBDDriver.h.

const USBConfigurationDescriptor* USBDDriverDescriptors::pHsOtherSpeed

Pointer to the high-speed other speed configuration descriptor

Definition at line 96 of file USBDDriver.h.

const USBDeviceQualifierDescriptor* USBDDriverDescriptors::pHsQualifier

Pointer to the high-speed qualifier descriptor

Definition at line 94 of file USBDDriver.h.

const uint8_t** USBDDriverDescriptors::pStrings

Pointer to the list of string descriptors

Definition at line 98 of file USBDDriver.h.

The documentation for this struct was generated from the following file:

- libraries/usb/include/USBDDriver.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines